###############################################################################################
###############################################################################################
###
###     Fonctions et paramètres spécifiques
###
###############################################################################################
###############################################################################################





###############################################################################################
## Variables de style
# Définition des couleurs pour l'interface personnalisée

init -3 python:

    couleur_hyperlien = "#add8e6"

## Les 3 couleurs de base du thème
#
# Couleur de l'ombre du texte sur l'écran d'accueil
    couleur_ombre = "#fbe920bb"

# Couleur du pourtour du texte sur l'écran d'accueil
    couleur_exterieur = "#dfbd5d"

# Couleur de l'intérieur des lettres sur l'écran d'accueil
    couleur_interieur = "#fefefd"

# Couleur des cadres
    couleur_fond = "#000c"

# Couleur des textes des credits
    couleur_credits = "#ccc"

# Couleur de l'ombre des textes des credits (titre et auteur)
    ombre_credits = "#fff"

# Couleur texte et widget insensitive
    couleur_insensitive = "#aaa8"

# Définition de l'image de fond des menus hors menu accueil
    menu_options="titre fond clairobscur"


# Définition des images pour le fond des crédits rapides
    fond_credits_rapides = "fonds turbulence nb"
    masque_credits_rapides = "fonds credits rapides masque"



# Nom de l'histoire (utilisé par diverses variables, pour des labels par exemple)
    histoire = 'clairobscur'

init -3:
    image fond credits:
        contains:
            "fonds turbulence nb"
        contains:
            LiveCrop((0,0,largeur_image,hauteur_fenetre),Solid("#000"))
            xalign 1.0

    $ fond_credits = "fond credits"


# Définition de l'image de l'écran d'accueil
    image fond accueil:
        contains:
            "titre fond clairobscur"

        contains:
            "titre surimp clairobscur"
            alpha 0.0
            3.0
            block:
                alpha 1.0
                0.1
                alpha 0.0
                1.2
                alpha 1.0
                0.1
                alpha 0.0
                0.1
                alpha 1.0
                0.3
                alpha 0.0
                1.8
                repeat

# définition de l'image qui affiche le titre de l'histoire sur l'écran d'accueil
    $ fond_accueil = "fond accueil"

    image legende accueil:

        "titre legende clairobscur"
        3.0

        block:
            "titre legendeNB clairobscur"
            0.1
            "titre legende clairobscur"
            1.2
            "titre legendeNB clairobscur"
            0.1
            "titre legende clairobscur"
            0.1
            "titre legendeNB clairobscur"
            0.3
            "titre legende clairobscur"
            1.8
            repeat

    $ titre_histoire = "legende accueil"
    $ position_titre = (0,0) # à quelles coordonnées ce titre est affiché

###############################################################################################
## Variables de configuration spécifiques

init -2 python hide:

    ## Musique jouée lorsque le joueur se trouve dans le menu principal.

    config.main_menu_music = "audio/clairobscur/serveur.ogg"

    ## Contrôle le nom et la version du jeu; qui apparaîtront dans les
    ## fichiers de débogage.
    config.name = "Clair_Obscur"
    config.version = "0.5.2"

    # Configuration pour les paquets
    build.executable_name = "Clair Obscur"

    ## Titre de la fenêtre (lorsque le jeu se fait en mode fenêtré).

    config.window_title = u"Clair Obscur"

    #########################################
    ## Nom du répertoire où les données du jeu sont stockées. (Il est
    ## nécessaire que cela soit indiqué tôt, avant tout autre code
    ## d'initiation.)
python early:
    config.save_directory = "clairobscur"
